# Interface ControlConstraint

Control constraint describing dependencies between controls.

interface ControlConstraint {
condition: {
dependsOn: string;
operator: "==" | "!=" | ">" | "<" | ">=" | "<=";
type: "disabled_when" | "read_only_when" | "restricted_when";
value: string | number | boolean;
};
controlId: string;
effect: {
allowedValues?: (string | number | boolean)[];
disabled?: boolean;
readOnly?: boolean;
reason?: string;
};
}

- Defined in radarapi.ts:142

##### Index

### Properties

condition
controlId
effect

## Properties

### condition

condition: {
dependsOn: string;
operator: "==" | "!=" | ">" | "<" | ">=" | "<=";
type: "disabled_when" | "read_only_when" | "restricted_when";
value: string | number | boolean;
}

Condition that triggers the constraint

- Defined in radarapi.ts:147

### controlId

controlId: string

Control ID this constraint applies to

- Defined in radarapi.ts:144

### effect

effect: {
allowedValues?: (string | number | boolean)[];
disabled?: boolean;
readOnly?: boolean;
reason?: string;
}

Effect when condition is true

#### Type Declaration

- ##### `Optional` allowedValues?: (string | number | boolean)[]

  Restricted set of allowed values when constraint is active

- ##### `Optional` disabled?: boolean

- ##### `Optional` readOnly?: boolean

- ##### `Optional` reason?: string

- Defined in radarapi.ts:155